#include "Mesh.h"
#include "Graph.h"
#include "Partition.h"

#include <Vector>
#include <string>

#include <iostream>


vector<Mesh*> readPath(vector<Node*> mypath, string foldername, Graph* mygraph, string format);

void partinter(Graph* mygraph, string format, string foldername, int mesh1id, int mesh2id,
	string distfilename, int noofintermeshes, const vector<vector<int>> &parts_vertlists, int noofmeshes);

void notpartitioned(Graph* mygraph, string format, string foldername, int mesh1id, int mesh2id,
	string distfilename, int noofintermeshes, int noofmeshes);